ReferenceAPI

List workspaces

List the workspaces the caller is a member of.

GET https://api.nevia.cloud/v1/workspaces
curl -X GET "https://api.nevia.cloud/v1/workspaces" \
  -H "Authorization: Bearer $TOKEN"
{
  "workspaces": [
    {
      "id": "01d4cnjjq40hnnh0nwmkg35nv2h",
      "name": "api-staging",
      "state": "active",
      "created_at": "2026-09-10T12:34:56Z",
      "updated_at": "2026-09-10T12:34:56Z",
      "deleted_at": null
    }
  ],
  "next_cursor": "string",
  "has_more": true
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Query Parameters

limit? integer

Page size

Range 1 <= value <= 100
Default 50
cursor? string

next_cursor from the previous page

Response

application/json

One page of the caller's workspaces.